<#if pub.getDeployCenterType()?? && (pub.getDeployCenterType()=="GITLABRUNNER") >
<#ibiztemplate>
TARGET=PSSYSTEM
</#ibiztemplate>
<#if sysrun.getRunMode() == "STARTMSAPI">
<#assign depapi = sysrun.getPSDevSlnMSDepAPI()>
<#assign configId = depapi.getId()>
<#assign config = "api"+depapi.getName()>
<#assign depnode = sysrun.getPSDevSlnMSDepAPI().getPSDCMSPlatformNode()>
<#elseif sysrun.getRunMode() == "STARTMSAPP">
<#assign depapp = sysrun.getPSDevSlnMSDepApp()>
<#assign configId = depapp.getId()>
<#assign config = "app"+depapp.getName()>
<#assign depnode = sysrun.getPSDevSlnMSDepApp().getPSDCMSPlatformNode()>
</#if>
stages:
  - deploy
 
deploysys:
  stage: deploy
  only:
    - master
  script:
    - source /etc/profile 
    - mvn clean
    - mvn install
    - echo 'echo "${depnode.getSSHPassword()}"' > apppasswd.sh
    - chmod -R 777 *
    - setsid env SSH_ASKPASS='./apppasswd.sh' DISPLAY='none:0' ssh ${depnode.getSSHUserName()}@${depnode.getSSHIPAddr()} "mkdir -p ${depnode.getWorkshopPath()}/${configId}"
    - setsid env SSH_ASKPASS='./apppasswd.sh' DISPLAY='none:0' scp -r ./${pub.codeName}.jar ${depnode.getSSHUserName()}@${depnode.getSSHIPAddr()}:${depnode.getWorkshopPath()}/${configId}
    - setsid env SSH_ASKPASS='./apppasswd.sh' DISPLAY='none:0' ssh ${depnode.getSSHUserName()}@${depnode.getSSHIPAddr()} "ps -ef | grep '${depnode.getWorkshopPath()}/${configId}'| tr -s ' '|cut -d' ' -f2,8,9  | grep -v grep | grep 'jar' | cut -d' ' -f1|xargs  --no-run-if-empty kill -9"
    - setsid env SSH_ASKPASS='./apppasswd.sh' DISPLAY='none:0' ssh ${depnode.getSSHUserName()}@${depnode.getSSHIPAddr()} "source /etc/profile;source ~/.bash_profile; nohup java -jar ${depnode.getWorkshopPath()}/${configId}/${pub.codeName}.jar  --spring.profiles.active=${config?lower_case} >>${depnode.getWorkshopPath()}/${configId}/${pub.codeName}_${config?lower_case}-`date --date='0 days ago' +%Y-%m-%d`.log 2>&1 &"
    </#if>